#include <bits/stdc++.h>
#pragma GCC target("avx2")
#pragma GCC optimize("O3" , "Ofast" , "unroll-loops" , "fast-math")

#define endl '\n'
#define X first
#define Y second
#define MOD 1000000007

using namespace std;
typedef long long ll;
typedef unsigned long long ull;
typedef vector <int> vi;
typedef vector <long long> vll;
typedef vector <unsigned long long> vull;
typedef vector <string> vs;
typedef pair <int, int> pii;

void speed()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}


int n;

void solve(int N, int K, int S)
{
    vector <int> v;
    n = N;
    int s = 0;
    for(int i = 1;i < n;i++)
    {
        int c = query();
        v.push_back(c);
        s += c;
    }
    v.push_back(S - s);
}
